@KotMilkMeoW

Не работает команда. Что делать?

Ввожу:
dpkg -i openssl_1.1.1-2_arm.deb
dpkg -i openssl-dev_1.1.1-2_arm.deb
dpkg -i openssl-tool_1.1.1-2_arm.deb
Получаю ответ:
(Reading database ... 12909 files and directories currently installed.)
Preparing to unpack openssl_1.1.1-2_arm.deb ... Unpacking openssl:arm (1.1.1-2) over (1.1.1k-2) ...
dpkg: dependency problems prevent configuration of openssl:arm:
openssl:arm depends on ca-certificates.

dpkg: error processing package openssl:arm (--install): dependency problems - leaving unconfigured
Errors were encountered while processing:
openssl:arm
Selecting previously unselected package openssl-dev:arm.
(Reading database ... 12797 files and directories currently installed.)
Preparing to unpack openssl-dev_1.1.1-2_arm.deb ...
Unpacking openssl-dev:arm (1.1.1-2) ... dpkg: dependency problems prevent configuration of openssl-dev:arm:
openssl-dev:arm depends on openssl; however:
Package openssl:arm is not configured yet.
dpkg: error processing package openssl-dev:arm (--install):
dependency problems - leaving unconfigured
Errors were encountered while processing:
openssl-dev:arm
(Reading database ... 12905 files and directories currently installed.)
Preparing to unpack openssl-tool_1.1.1-2_arm.deb ...
Unpacking openssl-tool:arm (1.1.1-2) ...
dpkg: error processing archive openssl-tool_1.1.1-2_arm.deb (--install):
trying to overwrite '/data/data/com.termux/files/usr/etc/tls/openssl.cnf', which is also in package openssl:arm 1.1.1-2
Errors were encountered while processing:
openssl-tool_1.1.1-2_arm.deb
Как это фиксить?
  • Вопрос задан
  • 84 просмотра
Пригласить эксперта
Ответы на вопрос 2
ky0
@ky0
Миллиардер, филантроп, патологический лгун
Ну а чего вы ожидали, устанавливая пакеты с пачкой зависимостей с помощью dpkg? Именно для избавления от таких геморроев и существуют нормальные пакетные менеджеры вроде apt`а.
Ответ написан
Вам же и пишет - Проблемы с зависимостями...
dpkg: dependency problems prevent configuration of openssl:arm:
openssl:arm depends on ca-certificates.

Пробуйте:

sudo dpkg --configure -a
и
sudo apt install -f
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы